> ## Documentation Index
> Fetch the complete documentation index at: https://api.smartlead.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Fetch Campaign Mailbox Statistics

> Fetch mailbox statistics specific to a campaign

## Path Parameters

<ParamField path="campaign_id" type="integer" required>
  The ID of the campaign
</ParamField>

## Query Parameters

<ParamField query="api_key" type="string" required>
  Your API key
</ParamField>

<ParamField query="client_id" type="integer">
  The ID of your client if this campaign is client specific
</ParamField>

<ParamField query="offset" type="integer" default="0">
  Pagination offset
</ParamField>

<ParamField query="limit" type="integer">
  Number of results to return. Min 1, max 20.
</ParamField>

<ParamField query="start_date" type="string">
  Start date for filtering in YYYY-MM-DD format. Both start\_date and end\_date must be provided, otherwise data will be for the full campaign length.
</ParamField>

<ParamField query="end_date" type="string">
  End date for filtering in YYYY-MM-DD format. Both start\_date and end\_date must be provided, otherwise data will be for the full campaign length.
</ParamField>

<ParamField query="time_zone" type="string" default="UTC">
  The campaign timezone, e.g. `America/Los_Angeles`. Same format as shown in your campaign UI next to the date filter.
</ParamField>

<ParamField query="private_api_key" type="string">
  Private API key for additional authorization (optional)
</ParamField>

<RequestExample>
  ```bash cURL theme={null}
  curl "https://server.smartlead.ai/api/v1/campaigns/12345/mailbox-statistics?api_key=YOUR_API_KEY&limit=10&offset=0"
  ```

  ```python Python theme={null}
  import requests

  API_KEY = "YOUR_API_KEY"
  CAMPAIGN_ID = 12345

  response = requests.get(
      f"https://server.smartlead.ai/api/v1/campaigns/{CAMPAIGN_ID}/mailbox-statistics",
      params={
          "api_key": API_KEY,
          "limit": 10,
          "offset": 0
      }
  )

  result = response.json()
  print(result)
  ```

  ```javascript JavaScript theme={null}
  const API_KEY = 'YOUR_API_KEY';
  const CAMPAIGN_ID = 12345;

  const response = await fetch(
    `https://server.smartlead.ai/api/v1/campaigns/${CAMPAIGN_ID}/mailbox-statistics?api_key=${API_KEY}&limit=10&offset=0`
  );

  const result = await response.json();
  console.log(result);
  ```
</RequestExample>

## Response Codes

<ResponseField name="200" type="Success">
  Request successful
</ResponseField>

<ResponseField name="400" type="Bad Request">
  Invalid request parameters or malformed request body
</ResponseField>

<ResponseField name="401" type="Unauthorized">
  Invalid or missing API key. Check your authentication.
</ResponseField>

<ResponseField name="404" type="Not Found">
  The requested resource does not exist or you don't have access to it
</ResponseField>

<ResponseExample>
  ```json 200 - Success theme={null}
  {
    "ok": true,
    "data": []
  }
  ```

  ```json 401 - Unauthorized theme={null}
  {
    "message": "Invalid API Key"
  }
  ```
</ResponseExample>
